package geniusweb.serverobjects;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility;

/**
 * Contains general info abotu this server
 */
@JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE)
public class ServerInfo {
	private final Integer freeSlots;
	private final Integer totalSlots;

	public ServerInfo(int free, int total) {
		this.freeSlots = free;
		this.totalSlots = total;
	}

	/**
	 * @return currently free slots
	 */
	public Integer getFree() {
		return freeSlots;
	}

	/**
	 * 
	 * @return total available slots.
	 */
	public Integer getTotal() {
		return totalSlots;
	}
}
